
function [fieldset1 fieldset2 fieldset3 fieldset4 fieldset5 fieldset6 fieldset7 periodset1 periodset2 periodset3 periodset4 periodset5 periodset6 periodset7 periodset8 periodset9 periodset10]=getsets(maxprime)
 
% This is a function for the multiinputtool program that generates fieldsets and periodsets for two methods of signal creation
 
% The greatest prime used is maxprime

% For the first six fieldsets and periodsets

for setnumber=1:6;
    multiplier=2*setnumber;                             % set multiplier
    maxindex=round((maxprime-1)/multiplier);            % maximum index
    fieldset=zeros(1,round(maxindex/4));                % memory for fieldset
    periodset=zeros(1,round(maxindex/4));               % memory for periodset
    j=1;
    for index=1:maxindex                                % all values of index
        if      isprime(multiplier*index+1)             % determine if prime
                fieldset(j)=multiplier*index+1;         % fieldset member
                periodset(j)=multiplier*fieldset(j)+multiplier; %periodset member
                j=j+1;                                  % increment j
        else    continue                                % next iteration
        end
    end
    if      setnumber==1                                % for fieldset1 and periodset1
            fieldset1=fieldset;
            periodset1=periodset;
    elseif  setnumber==2                                % for fieldset2 and periodset2
            fieldset2=fieldset;
            periodset2=periodset;
    elseif  setnumber==3                                % for fieldset3 and periodset3
            fieldset3=fieldset;
            periodset3=periodset;       
    elseif  setnumber==4                                % for fieldset4 and periodset4
            fieldset4=fieldset;
            periodset4=periodset;        
    elseif  setnumber==5                                % for fieldset5 and periodset5
            fieldset5=fieldset;
            periodset5=periodset;
    elseif  setnumber==6                                % for fieldset6 and periodset6
            fieldset6=fieldset;
            periodset6=periodset;
    end
end

% For the last fieldset and last four periodsets

maxindex=round((maxprime-1)/4);                         % maximum index
fieldset7=zeros(1,round(maxindex/4));                   % memory for fieldset7
periodset9=zeros(1,round(maxindex/4));                  % memory for periodset9
j=1;
for index=1:maxindex                                    % all values of index
    if      isprime(4*index-1)                          % determine if prime
            fieldset7(j)=4*index-1;                     % fieldsetmember
            periodset9(j)=2*fieldset7(j);               % periodset member
            j=j+1;                                      % increment j
    else    continue                                    % next iteration
    end
end            
periodset7=fieldset7;                                   % for periodset7
periodset8=fieldset1;                                   % for periodset8
periodset10=fieldset1.*2;                               % for periodset10



 
 